<?php get_header(); ?>

<div id="main-content">

<div id="major-column">

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

<div class="post">
<h4 class="post-date"><?php the_time('l, M j, Y'); ?></h4>
<h4 class="post-comments"><?php comments_popup_link('Be the first to comment', '1 Comment', '% Comments'); ?></h4>

<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

<?php the_content('Read the rest of this entry &raquo;'); ?>

<span class="post-category">Posted in  <?php the_category(', ') ?></span>
<?php if ( function_exists('wp_tag_cloud') ) : ?>
<?php the_tags('<span class="post-category">Tagged as ', ' , ' , '</span>'); ?><?php endif; ?>

</div>
		
<?php endwhile; ?>
  
<p class="previous-entries"><?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); }else{ ?>
<?php posts_nav_link('','','&laquo; Previous Entries') ?>&nbsp;&nbsp;<?php posts_nav_link('','Next Entries &raquo;','') ?>
<?php } ?></p>

<?php else : ?>
	<div class="post">
	<h2><?php _e('Not Found'); ?></h2>
	<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
	</div>
<?php endif; ?>

</div>
		
<?php get_sidebar(); ?>
<?php get_footer(); ?>